%define oname   ritex

Name:       ruby-%{oname}
Version:    1.0.1
Release:    %mkrel 1
Summary:    WebTeX to MathML conversion library
License:    GPLv2
Group:      Development/Ruby
URL:        http://masanjin.net/ritex/
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
Requires:   ruby(abi) = 1.8
BuildArch:  noarch

%description
Ritex converts expressions from WebTeX into MathML. WebTeX is an adaptation
of 
TeX math syntax for web display. 
Ritex makes inserting math into HTML pages easy. It supports most TeX
math syntax as well as macros.

%files
%defattr(-, root, root, -)
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/ReleaseNotes
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

%check
ruby -I"lib:test" test/all.rb

%clean
rm -rf %{buildroot}



%changelog
* Sat Feb 12 2011 shikamaru <shikamaru> 1.0.1-1.mga1
+ Revision: 50802
- imported package ruby-ritex


* Sat Feb 12 2011 Rémy Clouard <shikamaru@mandriva.org> - 1.0.1-1
- Initial package
